Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -972,13 +1946,229 @@
                     progressing(3)
              }
              MAX-ACCESS read-only
-             STATUS current
+             STATUS obsolete
              DESCRIPTION
                  "The tftp operation status represent configuration file backup or restore status."
              ::= { companyTftpGroup 8 }
 
+    	tftpFwTargetGroup OBJECT IDENTIFIER ::= { companyTftpGroup 9 }
+
+        tftpFwTargetServerIpAddress OBJECT-TYPE
+              SYNTAX Ipv6Address
+              MAX-ACCESS read-write
+              STATUS current
+              DESCRIPTION
+                  "The TFTP server's IP address is used to upload or
+  		           download firmware."
+              ::= { tftpFwTargetGroup 1 }
+
+        tftpFwTargetServerIpType OBJECT-TYPE
+               SYNTAX    INTEGER {
+                      iPv4              (1),
+                      iPv6	            (2)
+                   }
+               MAX-ACCESS  read-write
+               STATUS      current
+               DESCRIPTION
+                   "Type of IP interface."
+               ::= { tftpFwTargetGroup 2 }
+
+        tftpFwTargetInterfaceName OBJECT-TYPE
+               SYNTAX      OCTET STRING
+               MAX-ACCESS  read-write
+               STATUS      current
+               DESCRIPTION
+                   "Specifies the interface name when the tftpFwTargetServerIpAddress
+                    is linklocal address."
+               ::= { tftpFwTargetGroup 3 }
+
+        tftpFwTargetImageFileName OBJECT-TYPE
+             SYNTAX DisplayString (SIZE(1..64))
+             MAX-ACCESS read-write
+             STATUS current
+             DESCRIPTION
+                 "Configure firmware filename to download."
+             ::= { tftpFwTargetGroup 4 }
+
+        tftpFwTargetTftpOperation OBJECT-TYPE
+             SYNTAX INTEGER {
+                    none(0),
+                    download(1),
+                    upload(2)
+             }
+             MAX-ACCESS read-write
+             STATUS current
+             DESCRIPTION
+                 "The tftp operates to perform downloading the firmware image
+                 to the unit. This object is used in conjunction with
+ 		         configBootTftpServerIp and configBootImageFileName."
+             ::= { tftpFwTargetGroup 5 }
+
+        tftpFwTargetTftpOperationStatus OBJECT-TYPE
+             SYNTAX INTEGER {
+                    none(0),
+                    success(1),
+                    fail(2),
+                    progressing(3),
+                    transmit(4)
+             }
+             MAX-ACCESS read-only
+             STATUS current
+             DESCRIPTION
+                 "The tftp operation status represent firmware backup or upgrade status."
+             ::= { tftpFwTargetGroup 6 }
+
+    	tftpCfgTargetGroup OBJECT IDENTIFIER ::= { companyTftpGroup 10 }
+
+         tftpCfgTargetServerIpAddress OBJECT-TYPE
+              SYNTAX Ipv6Address
+              MAX-ACCESS read-write
+              STATUS current
+              DESCRIPTION
+                  "The TFTP server's IP address is used to upload or
+  		           download configuration file."
+              ::= { tftpCfgTargetGroup 1 }
+
+        tftpCfgTargetServerIpType OBJECT-TYPE
+               SYNTAX    INTEGER {
+                      iPv4              (1),
+                      iPv6	            (2)
+                   }
+               MAX-ACCESS  read-write
+               STATUS      current
+               DESCRIPTION
+                   "Type of IP interface."
+               ::= { tftpCfgTargetGroup 2 }
+
+        tftpCfgTargetInterfaceName OBJECT-TYPE
+               SYNTAX      OCTET STRING
+               MAX-ACCESS  read-write
+               STATUS      current
+               DESCRIPTION
+                   "Specifies the interface name when the tftpCfgTargetServerIpAddress
+                    is linklocal address."
+               ::= { tftpCfgTargetGroup 3 }
+
+         tftpCfgTargetImageFileName OBJECT-TYPE
+              SYNTAX DisplayString (SIZE(1..64))
+              MAX-ACCESS read-write
+              STATUS current
+              DESCRIPTION
+                  "The configuration filename is used to store or retrieve config
+                   from the tftp server."
+              ::= { tftpCfgTargetGroup 4 }
+
+         tftpCfgTargetTftpOperation OBJECT-TYPE
+              SYNTAX INTEGER {
+                     download(1),
+                     upload(2),
+                     progressing(3),
+                     download_and_reboot(4)
+              }
+              MAX-ACCESS read-write
+              STATUS current
+              DESCRIPTION
+                  "The tftp operates to perform either downloading the
+  		           configuration file to the unit or uploading the current
+  		           configuration file to the tftp server. This object is
+  		           used in conjunction with configTftpServerIpAddress
+  		           and configTftpServerFileName."
+              ::= { tftpCfgTargetGroup 5 }
+
+        tftpCfgTargetTftpOperationStatus OBJECT-TYPE
+             SYNTAX INTEGER {
+                    none(0),
+                    success(1),
+                    fail(2),
+                    progressing(3)
+             }
+             MAX-ACCESS read-only
+             STATUS current
+             DESCRIPTION
+                 "The tftp operation status represent configuration file backup or restore status."
+             ::= { tftpCfgTargetGroup 6 }
+
+        tftpCfgTargetTftpConfigID OBJECT-TYPE
+             SYNTAX INTEGER {
+                    configId-1(1),
+                    configId-2(2),
+                    current-config(3)
+             }
+             MAX-ACCESS read-write
+             STATUS current
+             DESCRIPTION
+                 "The tftp config ID determine which config what you need."
+             ::= { tftpCfgTargetGroup 7 }
+
+         tftpCfgTargetIncrement OBJECT-TYPE
+             SYNTAX INTEGER {
+                     none (1),
+                     increment (2)
+             }
+             MAX-ACCESS read-write
+             STATUS current
+             DESCRIPTION
+                 "The tftp increment determine download config behavior."
+             ::= { tftpCfgTargetGroup 8 }
+
+    	tftpLogTargetGroup OBJECT IDENTIFIER ::= { companyTftpGroup 11 }
+
+        tftpLogTargetServerIpAddress OBJECT-TYPE
+              SYNTAX Ipv6Address
+              MAX-ACCESS read-write
+              STATUS current
+              DESCRIPTION
+                  "The TFTP server's IP address is used to upload log file."
+              ::= { tftpLogTargetGroup 1 }
+ 
+        tftpLogTargetServerIpType OBJECT-TYPE
+               SYNTAX    INTEGER {
+                      iPv4              (1),
+                      iPv6	            (2)
+                   }
+               MAX-ACCESS  read-write
+               STATUS      current
+               DESCRIPTION
+                   "Type of IP interface."
+               ::= { tftpLogTargetGroup 2 }
+
+         tftpLogTargetFileName OBJECT-TYPE
+              SYNTAX DisplayString (SIZE(1..64))
+              MAX-ACCESS read-write
+              STATUS current
+              DESCRIPTION
+                  "The log filename is used to store log file 
+                   to the tftp server."
+              ::= { tftpLogTargetGroup 4 }
+
+        tftpLogTargetTftpOperation OBJECT-TYPE
+             SYNTAX INTEGER {
+                    none(0),
+                    upload(1)
+             }
+             MAX-ACCESS read-write
+             STATUS current
+             DESCRIPTION
+                 "The tftp operates to perform uploading the log file
+                 to the tftp server."
+             ::= { tftpLogTargetGroup 5 }
+
+        tftpLogTargetTftpOperationStatus OBJECT-TYPE
+             SYNTAX INTEGER {
+                    none(0),
+                    success(1),
+                    fail(2),
+                    progressing(3)
+             }
+             MAX-ACCESS read-only
+             STATUS current
+             DESCRIPTION
+                 "The tftp operation status represent log backup status."
+             ::= { tftpLogTargetGroup 6 }
+                         	
+
         -- -------------------------------------------------------------------------
-        -- company Extension MIB, Miscellaneous Information         
+        -- company Extension MIB, Miscellaneous Information
         -- -------------------------------------------------------------------------
 
         miscReset OBJECT-TYPE
@@ -989,7 +2179,7 @@
             MAX-ACCESS read-write
             STATUS current
             DESCRIPTION
-                "Physically resets the unit - use with care. A (1) resets 
+                "Physically resets the unit - use with care. A (1) resets
                  the unit, a (2) does nothing."
             ::= { companyMiscGroup 2 }
 
@@ -1001,7 +2191,7 @@
             MAX-ACCESS read-write
             STATUS current
             DESCRIPTION
-                "Resets the units statistics. A (1) resets 
+                "Resets the units statistics. A (1) resets
                  the statistics count, a (2) does nothing."
             ::= { companyMiscGroup 3 }
  -- ----------------------------------------------------------
@@ -1009,7 +2199,7 @@
  -- ----------------------------------------------------------      	
     securityIpMacPortBinding                     OBJECT IDENTIFIER ::= { companySecurity 10 }
  -- IpMacPortBinding Group --------------------------------------------- --
-    
+
     impbSettingTable     OBJECT-TYPE
         SYNTAX SEQUENCE OF ImpbSettingEntry
         MAX-ACCESS not-accessible
@@ -1017,44 +2207,78 @@
         DESCRIPTION
             "A table to control IP-MAC-Port Binding Setting features of the device."
         ::= { securityIpMacPortBinding 1 }
-        
+
     impbSettingEntry OBJECT-TYPE
         SYNTAX ImpbSettingEntry
         MAX-ACCESS not-accessible
         STATUS current
         DESCRIPTION
-            "An entry appears in IP-MAC-Port Binding Setting table for each interface 
+            "An entry appears in IP-MAC-Port Binding Setting table for each interface
  	        in the system."
         INDEX { impbPortIndex }
         ::= { impbSettingTable 1 }
-  
-    ImpbSettingEntry ::= 
-           SEQUENCE { 
-              impbPortIndex 
-                 INTEGER, 
-              impbPortState 
-                 INTEGER, 
-              impbInsIpPacPortState 
+
+    ImpbSettingEntry ::=
+           SEQUENCE {
+              impbPortIndex
                  INTEGER,
-              impbDHCPPortState   
-                 INTEGER             
-          }
-        
-               
-         impbPortIndex OBJECT-TYPE 
-           SYNTAX      INTEGER 
-           MAX-ACCESS  read-only 
-           STATUS      current 
-           DESCRIPTION 
+              impbPortState
+                 INTEGER,
+              impbPortDHCPSnoopingState
+                 INTEGER,
+              impbPortArpInspectionState
+                 INTEGER,
+              impbPortIpInspectionState
+                 INTEGER,
+              impbPortAllowZeroIPState
+                 INTEGER,
+              impbPortForwardDHCPPktState
+                 INTEGER,
+              impbPortDHCPMaxEntryIPv4
+                 Integer32,
+              impbPortDHCPMaxEntryIPv6
+                 Integer32,
+              impbPortNDInspectionState
+                 INTEGER,
+              impbPortProtocolState
+                 INTEGER,
+             impbPortDHCPv4SetVlanList
+                 OCTET STRING,
+             impbPortDHCPv4VlanList1k
+                 OCTET STRING,
+             impbPortDHCPv4VlanList2k
+                 OCTET STRING,
+             impbPortDHCPv4VlanList3k
+                 OCTET STRING,
+             impbPortDHCPv4VlanList4k
+                 OCTET STRING,
+             impbPortDHCPv6SetVlanList
+                 OCTET STRING,
+             impbPortDHCPv6VlanList1k
+                 OCTET STRING,
+             impbPortDHCPv6VlanList2k
+                 OCTET STRING,
+             impbPortDHCPv6VlanList3k
+                 OCTET STRING,
+             impbPortDHCPv6VlanList4k
+                 OCTET STRING,
+             impbPortDHCPSnoopingFlushState
+                 INTEGER
+         }
+
+         impbPortIndex OBJECT-TYPE
+           SYNTAX      INTEGER (1..28)
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
               "Specifies the port numbers through which the authorized manager can
-	        access the switch. 
-	        By default the authorized manager is allowed to access the switch 
+	        access the switch.
+	        By default the authorized manager is allowed to access the switch
 	        through all the ports.
 	        If a set of ports are configured in the 'PortList', the manager can
 	        access the switch only through the configured ports."
            ::= { impbSettingEntry 1 }
-            
-        
+
          impbPortState OBJECT-TYPE
            SYNTAX INTEGER  {
         		  disabled (0), enabled (1)
